Uploaded image for project: 'Metadata Aggregator'
  1. Metadata Aggregator
  2. MDA-189

port to Shibboleth V8 stack

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 0.9.2
    • Fix Version/s: 0.10.0
    • Component/s: None
    • Labels:
      None
    • Operating System:
      Multiple

      Description

      We should target Java 8 as a requirement for 1.0 of the MDA, and there's no real reason not to do that sooner rather than later, i.e., for 0.10.0. This will require porting to a new v4 stack, including the parent project, java-support and spring-extensions.

      One big change will be from the Guava variant of the functional interfaces to the versions adopted as part of Java 8. The more recent (Java-8-dependent) versions of Guava reimplement the Guava APIs on top of the new Java 8 ones, so this shouldn't really affect client software as long as it is recompiled.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              ian@iay.org.uk Ian Young
              Reporter:
              ian@iay.org.uk Ian Young
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 1 day, 1 hour, 46 minutes
                  1d 1h 46m